Summary: Middleware for accessing smart cards.
Name: pcsc-lite
Version: 1.2.0
Release: 5
License: BSD
Group: Application/System
URL: http://www.linuxnet.com/middle.html
Source0: http://alioth.debian.org/download.php/419/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bison, m4, flex

Requires: flex

%description
Welcome to PCSC Lite.  The purpose of PCSC Lite is to
provide a Windows(R) SCard interface in a very small form factor for
communicating to smartcards and readers. PCSC Lite can be compiled
directly to a desired reader driver or can be used to dynamically
allocate/deallocate reader drivers at runtime (default).

%package devel
Summary: %{name} development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel contains the header files and libraries necessary
for building applications that use %{name}.

%prep
%setup -q

%build
%configure \
          --enable-usb \
          --enable-syslog \
          --enable-debugatr \
          --enable-runpid=/var/run/pcsc-lite.pid
make

%install
rm -rf %{buildroot}
%makeinstall
#mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
#mv %{buildroot}%{_datadir}/{README.DAEMON,pcscd.startup,*.pdf} %{buildroot}%{_defaultdocdir}/%{name}-%{version}
rm -f %{buildroot}%{_datadir}/{README.DAEMON,*.pdf}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README* AUTHORS ChangeLog COPYING DRIVERS HELP NEWS SECURITY doc/* etc/pcscd.startup
%config(noreplace) %{_sysconfdir}/reader.conf
%{_bindir}/bundleTool
%{_bindir}/formaticc
%{_bindir}/installifd
%{_bindir}/pcsc_demo
%{_sbindir}/pcscd
%{_libdir}/*.so.*
%{_mandir}/man1/formaticc.1*
%{_mandir}/man8/bundleTool.8*
%{_mandir}/man8/pcscd.8*


%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 21 2004 Frank Bergmann <meurer@gmx.STOP-UCE.de>
- v. 1.2.0
- split off devel pkg and minor changes in spec

* Tue May 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Reintroduce dependcy to flex, -devel needs it.

* Fri May  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Remove dependency on flex (Chris Rouch <crouch@pobox.com>).

* Tue Mar 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
